Subject: Q: how to access the MPC5200B's timer gipo's?

From: "Albrecht Dreß" <[email-masked]>
Date: Wed, 9 Dec 2009 17:28:13 +0100 (CET)

Hi all,

I have a (probably dumb) question regarding the access to the MPC5200B's timer gpio's.  I added e.g.

timer@640 {	// General Purpose Timer 4
	compatible = "fsl,mpc5200b-gpt","fsl,mpc5200-gpt";
	reg = <0x640 0x10>;
	interrupts = <1 13 0>;
	interrupt-parent = <&mpc5200_pic>;
	gpio-controller;
	#gpio-cells = <2>;
};

in the DTS file to several timers.  Several gpiochipxxx folders are now present in /sys/class/gpio/.

In my code, I grab the node by calling of_find_node_by_path("/soc5200@f0000000/timer@640"), which returns the proper node.  Then I try to get the gpio number (for a call to gpio_set_value()) by calling of_get_gpio(node, 0) with the node found above.  However, this call always dumps

of_get_gpio_flags: can't parse gpios property
of_get_gpio_flags exited with status -2

What would be the proper way to determine the gpio number for a timer's gpio pin from the node name or path?

Thanks for any help,
Albrecht.

Es weihnachtet sehr! Vom leckerem Backrezept bis zum leckeren Schneehasen finden Sie alles im Weihnachtsspecial von Arcor.de:
http://www.arcor.de/rd/footer.weihnachten
Feliz Navidad, God Yul, Merry X-Mas und ein frohes Fest!